<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];		
$id_autoriza=4;
?>
<?
/*Sesiones*/
include("../conex.php");
include("../autoriza.php");

include("../css/mascara_fecha.js");
if ( isset($_GET["cnt"]))$contprod=$_GET["cnt"];
else $contprod=1;
$id_bodega=1;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Compra</title>
</head>
<?
/********************************** Datos Empresa    ****************************************************/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna AND id=$id_empresa";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$row=$row+1;
		}
		
/****************** Busca numero correlativo ***********************************************/	
	$sql_par = "SELECT correlativo FROM tipo_dcto_num_bodega  WHERE id_empresa = $id_empresa AND id_dcto=13";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	$txtcorrelativo=0;
	while (mysql_fetch_object ($res_par))
		{
		$txtcorrelativo=mysql_result($res_par, $row, "correlativo");
		$row=$row+1;
		}
		$txtcorrelativo+=1;					
/************************* sacar valor de iva ***********************************************/	
	$sql_par = "SELECT valor FROM parametros WHERE descripcion = 'IVA'";
	$res_par = mysql_query($sql_par,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_par))
		{
		$par_iva=mysql_result($res_par, $row, "valor");
		$row=$row+1;
		}
		//$par_iva+=1;
/************************* Saca vendedor de usuario ***********************************************/
	$id_vendedor=0;
	$sql_par = "SELECT id_vendedor FROM usuarios WHERE Id = $id_user";
	$res_par = mysql_query($sql_par,$enlace);
	while (mysql_fetch_object ($res_par))
		{
		$id_vendedor=mysql_result($res_par, 0, "id_vendedor");
		}

if ($id_vendedor==0) $id_vendedor=2;



/************************************************** fechas ***********************************************/	
		if ($fecha=='') $fecha=$fecha = date(d)."/".date(m)."/".date(Y);;
		if ($fecha2=='') $fecha2=$fecha2 = date(d)."/".date(m)."/".date(Y);;
		if ($fecha3=='') $fecha3=$fecha3 = date(d)."/".date(m)."/".date(Y);;


?>

<script type="text/javascript" src="../css/validarut.js"></script>
<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>
<body>
<form id="form1" name="form1" method="post" action="">
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="60px"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="580px"><div align="left"><font size="1">
		<?=$empresa_nombre?><br>
		<?=$empresa_direccion?><br>
		<?=$empresa_ciudad;?>
		<? $txtrut=''; ?>
		</font></div>
	</td>
    <td width="20%">&nbsp;</td>
  </tr>
</table>
<table width="90%" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr> 
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
		<td width="20%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
		<td width="40%"><div align="center"></div></td>
		<td width="20%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
		<td width="10%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif"></font></strong></div></td>
    </tr>
</table>
<br>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100">R.U.T.</td>
		<td width="157"><input name="txtrut" id="txtrut" value="<?=$txtrut;?>" type="text" onBlur="comprueba()"  onKeyPress="return valida(event)" size="23" maxlength="12"/></td>
		<td width="23" align="left"><a onClick="JavaScript:PopWindow('buscaproveedor.php')">
			<IMG id="foto1" name="foto1" align="middle" border="0" src="../Images/modificar.gif" style="cursor:pointer" title="Presione aqui para buscar cliente" width="16" height="16">
		</a></td>
		<td width="100" align="right"><div align="left">Señor: &nbsp;</div></td>
		<td width="260">
		  <input name="txtrsoc" id="txtrsoc" type="text" size="42" value="<?=$txtrsoc;?>" onKeyPress="validaenter(event,1);" />		</td>           
  </tr>
<tr>
		<td>E-Mail</td>
		<td>
			<input name="txtemail" id="txtemail" type="text" size="23" value="<?=$txtemail;?>" onKeyPress="validaenter(event,2);">		</td>
		<td>&nbsp;</td>
		<td align="right">
			<div align="left">Actividad:&nbsp;	        </div></td>
		<td>
			<input name="txtactividad" id="txtactividad" type="text" size="42" value="<?=$txtactividad;?>" onKeyPress="validaenter(event,3);">		</td>
	</tr>
<tr>
		<td>Fono: </td>
		<td><input name="txtfono" id="txtfono" type="text" size="23" value="<?=$txtfono;?>" onKeyPress="validaenter(event,6);" /></td>
		<td>&nbsp;</td>
		<td align="right"><div align="left">Regi&oacute;n: &nbsp;</div></td>
		<td><select name="lstreg" onChange="rellenaCombo('form1');" style="width:280px">
        <option value="null" selected>SELECCIONE REGION
          	<?
			$cons_region = mysql_query("SELECT * FROM regiones;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_region) ) 
 			{
 				$ides=mysql_result($cons_region, $cont, "Cod_Region");
  				$nombres=mysql_result($cons_region, $cont, "Region");
  				if($lstreg==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
      </select></td>
</tr>
	<tr>
		<td>Fax:</td>
		<td><input name="txtfax" id="txtfax" type="text"  size="23" value="<?=$txtfax;?>" onKeyPress="validaenter(event,7);" /></td>
		<td>&nbsp;</td>
		<td align="right"><div align="left">Comuna:&nbsp;		</div></td>
		<td><select name="lstcom" disabled="disabled" style="width:280px">
		<? if ($lstreg=='')$lstreg=0;?>
        <option value="null">SELECCIONE COMUNA
		<?
		
			$cons_com = mysql_query("SELECT * FROM comunas WHERE region=$lstreg;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_com) ) 
 			{
 				$ides=mysql_result($cons_com, $cont, "Cod_Comuna");
  				$nombres=mysql_result($cons_com, $cont, "Comuna");
  				if($lstcom==$ides){
					$sel="selected";
					?>
					<script>
					document.form1.lstcom.disabled=false;
					</script>
					<?
					}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
        </select></td>
	</tr>
	<tr>
		<td>Ciudad:&nbsp; </td>
		<td><input name="txtciudad" id="txtciudad" type="text" size="23" value="<?=$txtciudad;?>" onKeyPress="validaenter(event,4);" /></td>
		<td>&nbsp;</td>
		<td align="right"><div align="left">Direcci&oacute;n:</div></td>
		<td><input name="txtdireccion" id="txtdireccion" type="text" size="42" value="<?=$txtdireccion;?>" onKeyPress="validaenter(event,5);" /></td>
	</tr>
		<tr>
		<td>N&ordm; Dcto. </td>
		<td><input name="txtndcto" type="text" id="txtndcto" value="<?=$txtndcto?>" size="23" ></td>
		<td>&nbsp;</td>
		<td align="right"><div align="left">Tipo Dcto.</div></td>
		<td>
			
			<select name="lstdcto" style="width:280px">

            <?
			if ($lstdcto==''){$lstdcto=2;}
			$cons_dcto = mysql_query("SELECT * FROM tipo_dcto where id=2 or id=5 or id=6 or id=7 or id=8 or id>13 order by sii;", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_dcto) ) 
 			{
 				$ides=mysql_result($cons_dcto, $cont, "id");
  				$nombres=mysql_result($cons_dcto, $cont, "descripcion");
				$sii=mysql_result($cons_dcto, $cont, "sii");
  				if($lstdcto==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."(".$sii.")"."\n";
				
  				$cont = $cont + 1;
 			}
			?>
          </option>
		  </select></td>
	</tr>
	<tr>
		<td>Emision:</td>
	    <td><input name="fecha" type="text" id="fecha" style="border-width:0;" value="<?=$fecha?>" size="23" readonly="1" />	  </td>
		<td><a  href="javascript:show_calendar('form1.fecha');"><img name="foto2" id="foto2" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a></td>
		<td>Pago:</td>
		<td><select name="lstpago" id="lstpago" style="width:280px">
          <? if ($lstpago==''){$lstpago=3;}?>
          <?
			$cons_pago = mysql_query("SELECT * FROM tipo_pago WHERE descripcion ='CONTADO' OR descripcion = 'CREDITO'", $enlace);
 			$cont=0;
			while ( mysql_fetch_object ($cons_pago) ) 
 			{
 				$ides=mysql_result($cons_pago, $cont, "id");
  				$nombres=mysql_result($cons_pago, $cont, "descripcion");
  				if($lstpago==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
          </option>
                </select></td>
	</tr>
	<tr>
		<td>Recepcion: </td>
	    <td><input name="fecha2" type="text" id="fecha2" style="border-width:0;" value="<?=$fecha?>" size="23" readonly="1" /></td>
		<td><a  href="javascript:show_calendar('form1.fecha2');"><img name="foto3" id="foto3" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a>		</td>
		<td></td>
		<td>&nbsp;</td>
	</tr>
		<tr>
		<td> Vencimiento:</td>
	    <td><input name="fecha3" type="text" id="fecha3" style="border-width:0;" value="<?=$fecha3?>" size="23" readonly="1" /></td>
		<td><a  href="javascript:show_calendar('form1.fecha3');"><img name="foto4" id="foto4" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a></td>
		<td>Bodega</td>
		<td><select name="id_bodega" id="id_bodega" size="1" style="width:270px">
          <? 
		$sql_buem= mysql_query("SELECT * FROM bodega WHERE empresa=$id_empresa",$enlace);
		$buem_contb = 0;
		while ( mysql_fetch_object($sql_buem))
			{
			$sqlbuem_codigo=mysql_result($sql_buem, $buem_contb, "id");
			$sqlbuem_rsoc=mysql_result($sql_buem, $buem_contb, "descripcion");
			?>
          <option value="<?=$sqlbuem_codigo?>" <? if ($sqlbuem_codigo==$id_bodega){?> selected="selected" <? }?> >
          <?=$sqlbuem_rsoc?>
          </option>
          <? 
			$buem_contb += 1;
			} 
		?>
        </select></td>
	</tr>
     <tr>
  
    <td width="78"><div align="right">Mercaderia&nbsp;</div></td>
    <td width="138"><input name="mercaderia" type="radio"  value="1" checked="checked"/>    </td>
    <td width="33"><div align="right">&nbsp;</div></td>
     <td>Comprador</td>
    <td><select name="id_vendedor" id="id_vendedor" size="1" style="width:270px">
      <? 
		$sql_buem= mysql_query("SELECT * FROM vendedor",$enlace);
		$buem_contb = 0;
		while ( mysql_fetch_object($sql_buem))
			{
			$sqlbuem_codigo=mysql_result($sql_buem, $buem_contb, "id");
			$sqlbuem_rsoc=mysql_result($sql_buem, $buem_contb, "nombres");
			?>
      <option value="<?=$sqlbuem_codigo?>" <? if ($sqlbuem_codigo==$id_vendedor){?> selected="selected" <? }?> >
        <?=$sqlbuem_rsoc?>
        </option>
      <? 
			$buem_contb += 1;
			} 
		?>
    </select></td>
    </tr>
     <tr>
  
    <td width="78"><div align="right">Gastos&nbsp;</div></td>
    <td width="138"><input name="mercaderia" type="radio"  value="0" />    </td>
     <td>&nbsp;</td>
    <td align="right"><div align="left">Correlativo</div></td>
    <td><input name="txtcorrelativo" id="txtcorrelativo" type="text" size="10" value="<?=$txtcorrelativo;?>" onKeyPress="validaenter(event,5);" /></td>
    </tr>
</table>

<table width="640" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#000000">
	<tr bgcolor="#000000"> 
		<td width="8%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Cant.</font></strong></div></td>
		<td width="12%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">C&oacute;digo</font></strong></div></td>
		<td width="4%"><div align="center"></div></td>
		<td width="32%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Detalle</font></strong></div></td>
     
		<td width="12%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Precio</font></strong></div></td>
		<td width="12%"><div align="center"><strong><font color="#FFFFFF" face="Arial, Helvetica, sans-serif">Total $</font></strong></div></td>
    </tr>
<? 
$cant=1;
while ($cant<=$contprod)
	{
	?>
	<tr> 
		<td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		<input name="cantidad[<?=$cant;?>]" id="cantidad[<?=$cant;?>]" type="text" style="width:100%" onKeyPress="return validanum2(event,'<?=$cant;?>')" value="<?=$cantidad[$cant];?>" onBlur="fun_ctl('<?=$cant;?>');">
		</font></strong></div></td>
			
		<td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="codigo[<?=$cant;?>]" id="codigo[<?=$cant;?>]" type="text" style="width:100%" value="<?=$codigo[$cant];?>" onBlur="busc_prod('<?=$cant;?>');">
		</font></strong></div></td>
		
		<td align="center"><a onClick="JavaScript:PopWindow3('<?=$cant;?>')">
			  <IMG align="middle" border="0" src="../Images/modificar.gif" style="cursor:pointer" title="Presione aqui para buscar producto" width="16" height="16">
		</a></td>
			
		<td><div align="center"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="detalle[<?=$cant;?>]" id="detalle[<?=$cant;?>]" type="text" value="<?=$detalle[$cant];?>" readonly="1" border="0" style="border-width:0;font-size:14px;width:100%">
		</font></strong></div></td>
			
			  
		<td><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="precio[<?=$cant;?>]" id="precio[<?=$cant;?>]" type="text" value="<?=$precio[$cant];?>" style="border-width:0;text-align:right;width:100%" onKeyPress="return validanum(event,'<?=$cant;?>')" onBlur="fun_ctl('<?=$cant;?>');">
		</font></strong></div></td>
		
		<td ><div align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
			<input name="total[<?=$cant;?>]" id="total[<?=$cant;?>]" type="text" value="<?=$total[$cant];?>" style="border-width:0;text-align:right;width:100%" onKeyPress="return validanum(event,'<?=$cant;?>')" onBlur="fun_ct();">
			</font></strong></div></td>
    </tr>
	<? 
	$cant=$cant+1;
	}
	?>
	
	
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="22%">&nbsp;</td>
	  <td width="15%">&nbsp;</td>
	  <td width="12%">&nbsp;</td>
	  <td width="20%"><div align="right">Sub Total</div></td>
    <td width="31%" align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
	    <input name="txtst" id="txtst" type="text" value="<?=$txtst;?>" style="text-align:right;width:92%" onBlur="fun_cint();">
		</font></strong></td>
	</tr>
	<tr bordercolor="#000000"> 
	<td>&nbsp;</td>
	<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td><div align="right">Descuento</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtdes" id="txtdes" type="text" value="<?=$txtdes;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)" >
		</font></strong></td>
    </tr>
    <tr bordercolor="#000000"> 
		<td> <div align="center"><strong>Cuenta de Cargo</strong></div></td>
	  <td><div align="center"><strong>Monto</strong></div></td>
		<td>&nbsp;</td>
		<td><div align="right">Exento</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtexento" id="txtexento" type="text" value="<?=$txtexento;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)" onBlur="fun_cint();">
		</font></strong></td>
    </tr>
		<tr bordercolor="#000000"> 
		<td> 
      <select name="lstcargo0" style="width:200px">
      <option value="null" selected>SELECCIONE CARGO
        <?
$cons_cargo = mysql_query("SELECT * FROM plan_cuenta where id_empresa=$id_empresa AND (cuenta_contable>110800 and cuenta_contable<120000 OR cuenta_contable>300000 and cuenta_contable<400000)  ORDER BY descripcion;", $enlace);   
 			$cont=0;
			while ( mysql_fetch_object ($cons_cargo) ) 
 			{
 				$ides=mysql_result($cons_cargo, $cont, "Id");
  				$nombres=mysql_result($cons_cargo, $cont, "descripcion");
  				if($lstcargo0==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
        </option>
    </select>    </td>
     <td><input name="txtcargo0" id="txtcargo0" type="text" value="<?=$txtcargo0;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)" onBlur="fun_cint();" /></td>
        
		<td>&nbsp;</td>
		<td><div align="right">Neto</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtneto" id="txtneto" type="text" value="<?=$txtneto;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)">
		</font></strong></td>
    </tr>
		<tr bordercolor="#000000"> 
		<td> 
      <select name="lstcargo1" style="width:200px">
      <option value="null" selected>SELECCIONE CARGO
        <?
			$cons_cargo = mysql_query("SELECT * FROM plan_cuenta where id_empresa=$id_empresa AND (cuenta_contable>110000 and cuenta_contable<120000 OR cuenta_contable>300000 and cuenta_contable<400000) AND cuenta_contable>300000 and cuenta_contable<400000 ORDER BY descripcion;", $enlace);   // 5=cuenta cargo familia
 			$cont=0;
			while ( mysql_fetch_object ($cons_cargo) ) 
 			{
 				$ides=mysql_result($cons_cargo, $cont, "Id");
  				$nombres=mysql_result($cons_cargo, $cont, "descripcion");
  				if($lstcargo1==$ides){$sel="selected";}
				else {$sel="";}
				echo "              <option value=\"".$ides."\"$sel>".$nombres."\n";
				
  				$cont = $cont + 1;
 			}
			?>
        </option>
    </select>    </td>
     <td><input name="txtcargo1" id="txtcargo1" type="text" value="<?=$txtcargo1;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)" onBlur="fun_cint();" /></td>
		<td>&nbsp;</td>
		<td><div align="right">IVA/10%ret</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtiva" id="txtiva" type="text" value="<?=$txtiva;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)">
		</font></strong></td>
    </tr>
	<tr bordercolor="#000000">
		<td>&nbsp;</td>
    <td>&nbsp;</td>
	  <td>&nbsp;</td>
		<td><div align="right">Retencion</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txtivar" id="txtivar" type="text" value="<?=$txtivar;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)" onBlur="fun_cint();">
		</font></strong></td>
    </tr>
<tr bordercolor="#000000"> 
	<td>&nbsp;</td>
	<td>&nbsp;</td>
		<td>&nbsp;</td>        
        <td><div align="right">Total</div></td>
		<td align="right"><strong><font color="#333333" face="Arial, Helvetica, sans-serif">
		  <input name="txttotal" id="txttotal" type="text" value="<?=$txttotal;?>" style="text-align:right;width:92%" onKeyPress="return vnum(event)">
		</font></strong></td>
    </tr>
   
  
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="20%">&nbsp;</td>
		<td width="30%" align="right"> <input type="button" name="Submit2" value="Crear nuevo Producto" onClick="fun_crea_nuevop();" /></td>
		<td width="30%" align="left"><input type="button" name="Submit" value="Agregar Nuevo Producto" onClick="fun_agregar();"></td>
		<td width="20%">&nbsp;</td>
    </tr>
</table>
<table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="35%">&nbsp;</td>
		<td width="10%" align="center">	<input type="button" name="Submit1" value="Imprimir" onClick="fun_imprimir();"></td>
		<td width="10%" align="center">	<input type="button" name="Submit2" value="Guardar" onClick="fun_guardar();"></td>
		<td width="10%" align="center">	<input type="button" name="Submit3" value="Salir" onClick="fun_salir();"></td>
		<td width="35%">&nbsp;</td>
    </tr>
</table>
<input name="txtcom" type="text" id="txtcom" style="visibility:hidden" size="1" />
<input name="txtcnd" type="text" id="txtcnd" style="visibility:hidden" size="1" />
<input name="txtcs" type="text" id="txtcs" style="visibility:hidden" size="1" />
<input name="txtcs2" type="text" id="txtcs2" style="visibility:hidden" size="1" />
</form>
</body>
</html>
<script language="Javascript">
<!--
var nav4 = window.Event ? true : false;
<!-- Ingreso solo letras y espacio -->

function validanum2(evt, cant)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) calculo(cant);
	return (key < 13 || (key >= 48 && key <= 57) || key==46 || key==45);
	}
function vnum(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	return (key < 13 || (key >= 48 && key <= 57));
	}
function valida(evt)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) document.form1.txtrsoc.focus()
	return (key <= 13 || (key >= 48 && key <= 57) || (key == 107) || (key == 75) || (key == 45) || (key == 46));
	}
function fun_agregar()
	{
	var cnt=<?=$cant;?>;
	cnt-=1;
	if ((document.getElementById("cantidad["+cnt+"]").value=='') || (document.getElementById("cantidad["+cnt+"]").value=='') || (document.getElementById("cantidad["+cnt+"]").value=='') || (document.getElementById("cantidad["+cnt+"]").value==''))
		{
		alert ("Ingrese todos los datos del producto existente");
		return false;
		}
	else
		{
		document.form1.action = "index.php?cnt=<?=$cant;?>";
		document.form1.target="_self";
		document.form1.submit();
		}
	}
function PopWindow(pagina)
	{
	if (pagina=='buscaproveedor.php')
		{
		window.open(pagina,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
	else
		{
		window.open(pagina,'TEST','width=1,height=1,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
	}
function PopWindow2(cant)
	{
	if (document.getElementById("codigo["+cant+"]").value!='')
		{
		window.open('nuevoseriado.php?d='+cant+'&cod='+document.getElementById("codigo["+cant+"]").value,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
		}
	else
		{
		alert ("Ingrese el codigo del producto");
		}
	}

function PopWindow3(cant)
	{
	window.open('busqueda.php?id='+cant,'TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
function comprueba()
	{
	if (Rut(document.form1.txtrut.value)) PopWindow('compruebaf.php?rutc='+document.form1.txtrut.value);
	}
function rellenaCombo(formulario)
	{
	with (document.forms[formulario]) 
        {
          var region = lstreg[lstreg.selectedIndex].value; 
          var n = lstcom.length;  
          
          lstcom.disabled = false;  
          
          for (var i = 0; i < n; ++i)
            lstcom.remove(lstcom.options[i]); 
          
          lstcom[0] = new Option("SELECCIONE CIUDAD", 'null'); 
          
          if (region != 'null')  
          {
   <?php
   
    $cons_region = mysql_query("SELECT * FROM regiones;", $enlace);
    $cont=0;
    while ( mysql_fetch_object ($cons_region) )
    {
     $reg = mysql_result($cons_region, $cont, "Cod_Region");
   ?>
            if (region == '<?php echo $reg;?>')
            {
    <?php
    
      $cons_comuna = mysql_query("SELECT * FROM comunas WHERE region = ".$reg." ORDER BY comuna;", $enlace);
      $cont2=0;
      while ( mysql_fetch_object ($cons_comuna) )
      {
       $id_comuna = mysql_result($cons_comuna, $cont2, "cod_comuna");
       $comuna = mysql_result($cons_comuna, $cont2, "comuna");
    ?>
              lstcom[lstcom.length] = new Option("<?php echo $comuna;?>", '<?php echo $id_comuna;?>');
    <?php
    
	   	$cont2 = $cont2 + 1;
      }
    ?>
            }
   <?php
   
   		$cont = $cont + 1;
    }
   ?>
            lstcom.focus();  
          }
          else  
          {
            lstcom.disabled = true;  
            lstreg.focus(); 
          }
          
          lstcom.selectedIndex = 0;  
        }
	}
function valval()
	{
	var reg=document.form1.lstreg.value;
	rellenaCombo('form1');
	document.form1.lstcom.value=document.form1.txtcom.value;
	}
function validaenter(evt, donde)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13&& donde==1) document.form1.txtemail.focus();
	if (key==13&& donde==2) document.form1.txtactividad.focus();
	if (key==13&& donde==3) document.form1.txtciudad.focus();
	if (key==13&& donde==4) document.form1.txtdireccion.focus();
	if (key==13&& donde==5) document.form1.txtfono.focus();
	if (key==13&& donde==6) document.form1.txtfax.focus();
	if (key==13&& donde==7) document.form1.menubol4.focus();
	}
function busc_prod2(donde)
	{
	var jsbp_codigo, flag, fser;
	if (document.getElementById("codigo["+donde+"]").value!='')
		{
		flag=0;
		jsbp_codigo=document.getElementById("codigo["+donde+"]").value;
		<?
		$jsbp_sql = mysql_query("SELECT * FROM productos WHERE empresa=$id_empresa;", $enlace);
		$jsbp_cont=0;
		while ( mysql_fetch_object ($jsbp_sql) )
			{
			$jsbp_sql_codigo = mysql_result($jsbp_sql, $jsbp_cont, "codigo");
			
			?>
			if (jsbp_codigo == '<?php echo $jsbp_sql_codigo;?>')
				{
				<?
				$jsbp_sql_precio = mysql_result($jsbp_sql, $jsbp_cont, "precio");
				$jsbp_sql_descripcion = mysql_result($jsbp_sql, $jsbp_cont, "descripcion");
				?>
				
				document.getElementById("detalle["+donde+"]").value='<?=$jsbp_sql_descripcion?>';
				flag=1;
				}
			<?
			$jsbp_cont=$jsbp_cont+1;
			}
			?>
		if (flag == 0)
			{
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
			alert("No Existe el Producto!");
			document.getElementById("codigo["+donde+"]").focus();
			}
		else
			{
			if (document.getElementById("cantidad["+donde+"]").value=='')
				{
				document.getElementById("cantidad["+donde+"]").focus();
				}
			}
		}
	else
		{
		if (document.getElementById("cantidad["+donde+"]").value=='')
			{
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
			}
		else
			{
			
			
			var answer = confirm ("¿Debe Ingresar Codigo? \n(Si elige cancelar debera ingresar el producto denuevo)");
			if (answer)
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			else
				{
				document.getElementById("cantidad["+donde+"]").readOnly=false;
				document.getElementById("codigo["+donde+"]").value='';
				document.getElementById("detalle["+donde+"]").value='';
				document.getElementById("precio["+donde+"]").value='';
				document.getElementById("total["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").focus();
				}
			}
		}	
	}
	
function busc_prod(donde)
	{
	var jsbp_codigo, flag, fser;
	if (document.getElementById("codigo["+donde+"]").value!='')
		{
		flag=0;
		jsbp_codigo=document.getElementById("codigo["+donde+"]").value;
		<?
		$jsbp_sql = mysql_query("SELECT * FROM productos WHERE empresa=$id_empresa;", $enlace);
		$jsbp_cont=0;
		while ( mysql_fetch_object ($jsbp_sql) )
			{
			$jsbp_sql_codigo = mysql_result($jsbp_sql, $jsbp_cont, "codigo");
			?>
			if (jsbp_codigo == '<?php echo $jsbp_sql_codigo;?>')
				{
				<?
				$jsbp_sql_descripcion = mysql_result($jsbp_sql, $jsbp_cont, "descripcion");
				?>
					document.getElementById("cantidad["+donde+"]").readOnly = false;
					//document.getElementById("IMG["+donde+"]").readOnly = 1;
					//document.getElementById("IMG["+donde+"]").style.visibility="hidden";
				
				document.getElementById("detalle["+donde+"]").value='<?=$jsbp_sql_descripcion?>';
				flag=1;
				}
			<?
			$jsbp_cont=$jsbp_cont+1;
			}
			?>
		if (flag == 0)
			{
			document.getElementById("cantidad["+donde+"]").value='';
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
		
			
			var answer = confirm ("No Existe el Producto!\n ¿Desea crearlo?");
			if (answer)
				{
				window.open('editar_producto.php?cp=0','TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
				}
			else
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			
			
			
			}
		else
			{
			if (document.getElementById("cantidad["+donde+"]").value==''){
			document.getElementById("cantidad["+donde+"]").focus();
			}else{
				if (fser==1){
					document.getElementById("detalle["+donde+"]").focus();
					}
				}
			}
		}
	else
		{
		if (document.getElementById("cantidad["+donde+"]").value=='')
			{
			document.getElementById("cantidad["+donde+"]").readOnly = false;
			//document.getElementById("img["+donde+"]").readOnly = true;
			//document.getElementById("img["+donde+"]").style.visibility="hidden";
			document.getElementById("codigo["+donde+"]").value='';
			document.getElementById("detalle["+donde+"]").value='';
			document.getElementById("precio["+donde+"]").value='';
			document.getElementById("total["+donde+"]").value='';
			}
		else
			{
			
			
			var answer = confirm ("¿Debe Ingresar Codigo? \n(Si elige cancelar debera ingresar el producto denuevo)");
			if (answer)
				{
				document.getElementById("codigo["+donde+"]").focus();
				}
			else
				{
				document.getElementById("cantidad["+donde+"]").readOnly=false;
				document.getElementById("codigo["+donde+"]").value='';
				document.getElementById("detalle["+donde+"]").value='';
				document.getElementById("precio["+donde+"]").value='';
				document.getElementById("total["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").value='';
				document.getElementById("cantidad["+donde+"]").focus();
				}
			}
		}	
	}	
function fun_ctl(donde)
	{
	var cantidad1, precio1, cantidad, precio, total, stot, i, totaluno, totaltot, j, f1, f2, letra, result;;
	var totl, totaltot;
	cantidad=document.getElementById("cantidad["+donde+"]").value;
	
	if (document.getElementById("detalle["+donde+"]").value!='')
		{
		if (cantidad!='')
			{
			totaltot=document.getElementById("cantidad["+donde+"]").value;
			f1=0;
			f2=0;
			result='';
			for (i=0;i<totaltot.length;i++)
				{
				
				letra=totaltot.charAt(i);
				if (letra==".")
					{
					if (f1==0 && i!=0)
						{ 
						result +="."; f1=1; 
						}
					else 
						{ 
						result +=""; 
						}
					}
				else
					{
					if(f2<2) result += totaltot.charAt(i);
					if  (f1!=0) f2+=1;
					}
				}		
				}
		document.getElementById("cantidad["+donde+"]").value=Number(result);
		
		cantidad1 = document.getElementById("cantidad["+donde+"]").value;
		precio1 = document.getElementById("precio["+donde+"]").value;
		
		if (cantidad1=='') cantidad1 =0;
		if (precio1=='') precio1=0;
		totl =cantidad1*precio1;
		document.getElementById("total["+donde+"]").value = totl;
		
		result = document.getElementById("total["+donde+"]").value;	
		var valor_actual = result.split(".");
		var entero1 = Number(valor_actual[0]);
		var decimal1 = valor_actual[1];	
		if (decimal1==undefined) decimal1='11';
		decimal1=decimal1.charAt(0);
		if (decimal1>=5) entero1+=1;
		total = entero1;
		document.getElementById("total["+donde+"]").value=total;
		fun_ct();
	}
	}
function fun_ct()
	{
	var jsi, jst;
	jst=0;
	for (jsi=1;jsi<=<?=$contprod?>;jsi++)
		{
		jst+=Number(document.getElementById("total["+jsi+"]").value);
		}
	document.form1.txtst.value=jst;
	fun_cint()
	}
function fun_cint()
	{
	var jsdes, jsexento, jsneto, jsiva, jsivar, jstot, jsst, js_siva, jsiva_e, jsiva_d;
	js_siva='<?=$par_iva?>';
	if (document.form1.lstdcto.value==18) js_siva=0.10; // honorarios
	if (document.form1.txtdes.value=='') document.form1.txtdes.value=0;
	if (document.form1.txtst.value=='') document.form1.txtst.value=0;
	if (document.form1.txtexento.value=='') document.form1.txtexento.value=0;
	if (document.form1.txtneto.value=='') document.form1.txtneto.value=0;
	if (document.form1.txtivar.value=='')document.form1.txtivar.value=0;
	if (document.form1.txtiva.value=='')document.form1.txtiva.value=0;
	jsdes= document.form1.txtdes.value;
	jsexento=document.form1.txtexento.value;
	jsneto=document.form1.txtneto.value;
	jsiva=document.form1.txtiva.value;
	jsivar=document.form1.txtivar.value;
	jsst= document.form1.txtst.value;
	
	document.form1.txtneto.value= Number(jsst)- Number(jsdes);
	
	jsneto=document.form1.txtneto.value;
	jsiva=Number(jsneto)*Number(js_siva);
	jsiva = jsiva.toFixed(0);
	
	document.form1.txtiva.value = jsiva;
	
		document.form1.txtcargo0.value=Number(jsneto)+ Number(jsexento);
	
	
if (document.form1.lstdcto.value==18) {document.form1.txttotal.value = Number(jsneto) - Number(jsiva) + Number(jsexento) - Number(jsivar);} else
	{document.form1.txttotal.value = Number(jsneto) + Number(jsiva) + Number(jsexento) - Number(jsivar);}
	
	}
function fun_imprimir()
	{
	if (com_tdatos()!=false)
		{
		fun_dcto();
		var answer = confirm ("¿Seguro que desea imprimir?");
		if (answer)
			{
			if (fun_cdcto()!=false)
				{
				document.getElementById('foto1').style.display = "none";
				document.getElementById('foto2').style.display = "none";
				document.getElementById('foto3').style.display = "none";
				document.getElementById('foto4').style.display = "none";
				document.getElementById('Submit').style.display = "none";
				document.getElementById('Submit1').style.display = "none";
				document.getElementById('Submit2').style.display = "none";
				document.getElementById('Submit3').style.display = "none";
				window.print();
				document.getElementById('foto1').style.display = "block";
				document.getElementById('foto2').style.display = "block";
				document.getElementById('foto3').style.display = "block";
				document.getElementById('foto4').style.display = "block";
				document.getElementById('Submit').style.display = "block";
				document.getElementById('Submit1').style.display = "block";
				document.getElementById('Submit2').style.display = "block";
				document.getElementById('Submit3').style.display = "block";
				}
			else
				{
				alert ("El numero de documento ya existe");
				}
			}
		}
	}
function fun_salir()
	{
	var answer = confirm ("¿Desea guardar la venta?\n Cancelar para salir sin guardar");
	if (answer)
		{
		fun_guardar();
		}
	else
		{
		window.top.open('','_parent','');window.top.close();
		}
	}
function fun_guardar()
	{
	if (com_tdatos()!=false)
		{
		fun_dcto();
		var answer = confirm ("¿Seguro que desea guardar?");
		if (answer)
			{
			if (fun_cdcto()!=false)
				{
					document.form1.action='guarda.php?cnt=<?=$contprod?>';
					document.form1.targe='_self';
					setTimeout('document.form1.submit();',500);
				}
			else
				{
				alert ("El numero de documento ya existe");
				}
			}
		}
	}
function com_tdatos(){
	fun_ver();
	if (document.form1.txtrut.value==''){
		alert ("Ingrese el rut del proveedor");
		document.form1.txtrut.focus()
		return false;
	}
	if (document.form1.txtrsoc.value==''){
		alert ("Ingrese el nombre del proveedor");
		document.form1.txtrsoc.focus();
		return false;
	}
	if (document.form1.lstreg.value=='null'){
		alert ("Seleccion Region");
		return false;
	}
	if (document.form1.lstcom.value=='null'){
		alert ("Seleccion Comuna");
		return false;
	}
	if (document.form1.txtciudad.value==''){
		alert ("Ingrese la ciudad");
		document.form1.txtciudad.focus();
		return false;
	}
	if (document.form1.txtdireccion.value==''){
		alert ("Ingrese la direccion");
		document.form1.txtdireccion.focus();
		return false;
	}

	if (document.form1.txtndcto.value==''){
		alert ("Ingrese el numero del documento");
		return false;
	}
	if (document.form1.txttotal.value=='' || document.form1.txttotal.value==0){
		alert ("Ingrese al menos un producto");
		return false;
	}
	if (fun_cp()==false)
		{
		alert ("Ingrese al menos un producto");
		return false;
		}
		
	if (fun_cargos()==false)
		{
		alert ("Debe cuadrar  Suma de Cargos = Exento+neto ");
		return false;
		}	
	}
	
function fun_cp()
	{
	var jsi,jsf;
	jsf=0;
	if (document.form1.mercaderia[0].checked==true)
		{
		for (jsi=1;jsi<=<?=$contprod?>;jsi++)
			{
			if (document.getElementById("codigo["+jsi+"]").value!='')
				{
				jsf+=1;
				}
			}
		}
	else
		{
		return true;
		}
		
	if (jsf==0) return false;
	else return true;
	}
	
function fun_dcto()
	{
	var nd, td,rp;
	nd=document.form1.txtndcto.value;
	td=document.form1.lstdcto.value;
	rp=document.form1.txtrut.value;

	window.open('comnd.php?nd='+nd+'&td='+td+'&rp='+rp,'TEST','width=1,height=1,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');

	}
function fun_cdcto()
	{
	if (document.form1.txtcnd.value!=0) 
		{
		return false
		} 
	else 
		{
		return true
		}
	
	}
function fun_ver()
	{
	var jsi;
	for (jsi=1;jsi<=<?=$contprod?>;jsi++)
		{
		document.getElementById("codigo["+jsi+"]").focus();
		document.getElementById("cantidad["+jsi+"]").focus();
		}
	}

function recarga()
	{
	var cnt=<?=$cant;?>;
	cnt-=1;
	document.form1.action = "index.php?cnt="+cnt;
	document.form1.target="_self";
	document.form1.submit();
	}
	
function fun_crea_nuevop()
	{
	window.open('editar_producto.php?cp=0','TEST','width=682,height=550,menubar=no,scrollbars=yes,toolbar=no,location=no,directories=no,resizable=no,top=70,left=300');
	}
function  fun_cargos()
{
if (document.form1.txtcargo0.value==null)document.form1.cargo0.value=0;	
if (document.form1.txtcargo1.value==null)document.form1.cargo1.value=0;


if (document.form1.txtexento.value=='')document.form1.txtexento.value=0;
if (document.form1.txtneto.value=='')document.form1.txtneto.value=0;
cargo0=Number(document.form1.txtcargo0.value);
cargo1=Number(document.form1.txtcargo1.value);


exento=Number(document.form1.txtexento.value);
neto=Number(document.form1.txtneto.value);
if (cargo0+cargo1==exento+neto) 
	{
	return true;
	}
 else
	{
	return false;
	}	
}

function validanum(evt, cant)
	{
	var key = nav4 ? evt.which : evt.keyCode;
	if (key==13) { fun_ctl(cant); fun_ct(); fun_cint();fun_agregar(); }
	return (key < 13 || (key >= 48 && key <= 57));
	}	
	
	
</script>